% SummaryPlots 23-Apr-2020 

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

nprm = length(prms);

for iprm = 1:nprm
    d = load([indir infils{iprm}]);
    x = 1:11;
    figport('on');
    if iprm < 3
        allz = 1:2;
    else
        allz = 1;
    end
    for z = allz
        subplot(4,1,1+(z-1)*2);
        if iprm < 3
            if z == 1
                title('SHALLOW');
            else
                title('DEEP');
            end
        end
        set(gca,'xlim',[0.5 11.5]);
        set(gca,'xticklabels',stns);
        ylabel(sprintf('Trend [%s/decade]',units{iprm}));
        if z == 1
            set(gca,'ylim',ylim1.sh{iprm});
        else
            set(gca,'ylim',ylim1.dp{iprm});
        end
        hold;
        box on;
        bar(x,10*d.linmdl.slope(1:11,z),'facecolor','w','edgecolor','k');
        errorbar(x,10*d.linmdl.slope(1:11,z),10*d.linmdl.slopeconf(1:11,z),...
            'color','k','linestyle','none');
        subplot(4,1,2+(z-1)*2);
        set(gca,'xlim',[0.5 11.5]);
        set(gca,'xticklabels',stns);
        hold;
        box on;
        yyaxis left;
        del = 0.15;
        bar(x-del,d.stats.nyr(1:11,z),0.15,'edgecolor','b');
        bar(x+del,d.W98.nstar(1:11,z),0.15,'edgecolor','b','facecolor','w');
        if z == 1
            set(gca,'ylim',ylim2.sh{iprm});
        else
            set(gca,'ylim',ylim2.dp{iprm});
        end
        ylabel('Years');
        yyaxis right;
        ylabel('R^{2}');
        set(gca,'ylim',[0 0.3]);
        r2 = d.linmdl.r2(1:11,z);
        sig = find(d.linmdl.p(1:11,z)<0.05);
        plot(x,r2,'o','linewidth',1,'markersize',3);
        plot(x(sig),r2(sig),'o','linewidth',1,'markersize',3,...
            'markerfacecolor',[0.8500, 0.3250, 0.0980]);
        clear r2 sig;
    end
    eval(sprintf('print -dpng plt/%s.png',prms{iprm}));
    delete(gcf);
    clear d;
end
% end of module
diary off;